Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.plan
Class TextPlanWriter

    java.lang.Object
      ix.iface.plan.TextPlanWriter

    public class TextPlanWriter

extends java.lang.Object

Writes a plain text description of a plan to a file.

Nested Class Summary
`(package private) class` | `TextPlanWriter.TIVisitor`

Field Summary
`protected int` | `indent`
`protected int` | `indentStep`
`protected java.io.Writer` | `out`
`protected java.io.File` | `outputFile`

Constructor Summary
`TextPlanWriter(java.io.File f)`
`TextPlanWriter(java.io.Writer w)`

Method Summary
`(package private) java.lang.String` | `activityId(AbstractPlanItem pi)`
`(package private) void` | `do_outputTimeline(Plan plan)`
`(package private) void` | `indent()`
`(package private) void` | `indent(int n)`
`(package private) boolean` | `isTextBlock(java.lang.Object o)`
`(package private) void` | `newline()`
`(package private) void` | `out(java.lang.Object o)`
`(package private) void` | `out(java.lang.String s)`
`(package private) void` | `outActivities(Plan plan)`
`(package private) void` | `outActivitiesInFull(Plan plan)`
`(package private) void` | `outAnnotations(Plan plan)`
`(package private) void` | `outIssues(Plan plan)`
`(package private) void` | `outln(java.lang.String line)`
`(package private) void` | `outMap(java.util.Map m)`
`(package private) void` | `outPlan(Plan plan)`
`(package private) void` | `outputTableView(Plan plan)`
`(package private) void` | `outputTimeline(Plan plan)`
`(package private) void` | `outTextBlock(int extraIndent, java.lang.String block)`
`(package private) void` | `outTitle(java.lang.String text)`
`(package private) void` | `outWorldState(Plan plan)`
`(package private) java.lang.String` | `patternSentence(PNode n)`
`static java.lang.Object` | `removePlanVars(java.lang.Object obj)`
`void` | `writePlan(Plan plan)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputFile

    protected java.io.File outputFile

### out

    protected java.io.Writer out

### indent

    protected int indent

### indentStep

    protected int indentStep

Constructor Detail

### TextPlanWriter

    public TextPlanWriter(java.io.File f)

### TextPlanWriter

    public TextPlanWriter(java.io.Writer w)

Method Detail

### writePlan

    public void writePlan(Plan plan)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### outPlan

    void outPlan(Plan plan)

### outputTableView

    void outputTableView(Plan plan)

### outIssues

    void outIssues(Plan plan)

### outActivities

    void outActivities(Plan plan)

### removePlanVars

    public static java.lang.Object removePlanVars(java.lang.Object obj)

### outActivitiesInFull

    void outActivitiesInFull(Plan plan)

### activityId

    java.lang.String activityId(AbstractPlanItem pi)

### outWorldState

    void outWorldState(Plan plan)

### outAnnotations

    void outAnnotations(Plan plan)

### outMap

    void outMap(java.util.Map m)

### outputTimeline

    void outputTimeline(Plan plan)

### do_outputTimeline

    void do_outputTimeline(Plan plan)

### patternSentence

    java.lang.String patternSentence(PNode n)

### out

    void out(java.lang.String s)

### out

    void out(java.lang.Object o)

### indent

    void indent()

### indent

    void indent(int n)

### newline

    void newline()

### outln

    void outln(java.lang.String line)

### outTitle

    void outTitle(java.lang.String text)

### isTextBlock

    boolean isTextBlock(java.lang.Object o)

### outTextBlock

    void outTextBlock(int extraIndent,
                      java.lang.String block)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD